// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.21.12
// source: messages/signature_notifier.proto

package messages

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type KeysignSignature_Status int32

const (
	KeysignSignature_Unknown KeysignSignature_Status = 0
	KeysignSignature_Success KeysignSignature_Status = 1
	KeysignSignature_Failed  KeysignSignature_Status = 2
)

// Enum value maps for KeysignSignature_Status.
var (
	KeysignSignature_Status_name = map[int32]string{
		0: "Unknown",
		1: "Success",
		2: "Failed",
	}
	KeysignSignature_Status_value = map[string]int32{
		"Unknown": 0,
		"Success": 1,
		"Failed":  2,
	}
)

func (x KeysignSignature_Status) Enum() *KeysignSignature_Status {
	p := new(KeysignSignature_Status)
	*p = x
	return p
}

func (x KeysignSignature_Status) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (KeysignSignature_Status) Descriptor() protoreflect.EnumDescriptor {
	return file_messages_signature_notifier_proto_enumTypes[0].Descriptor()
}

func (KeysignSignature_Status) Type() protoreflect.EnumType {
	return &file_messages_signature_notifier_proto_enumTypes[0]
}

func (x KeysignSignature_Status) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use KeysignSignature_Status.Descriptor instead.
func (KeysignSignature_Status) EnumDescriptor() ([]byte, []int) {
	return file_messages_signature_notifier_proto_rawDescGZIP(), []int{0, 0}
}

type KeysignSignature struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ID            string                  `protobuf:"bytes,1,opt,name=ID,proto3" json:"ID,omitempty"` // the unique message id
	Signatures    [][]byte                `protobuf:"bytes,2,rep,name=Signatures,proto3" json:"Signatures,omitempty"`
	KeysignStatus KeysignSignature_Status `protobuf:"varint,3,opt,name=KeysignStatus,proto3,enum=messages.KeysignSignature_Status" json:"KeysignStatus,omitempty"`
}

func (x *KeysignSignature) Reset() {
	*x = KeysignSignature{}
	if protoimpl.UnsafeEnabled {
		mi := &file_messages_signature_notifier_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *KeysignSignature) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*KeysignSignature) ProtoMessage() {}

func (x *KeysignSignature) ProtoReflect() protoreflect.Message {
	mi := &file_messages_signature_notifier_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use KeysignSignature.ProtoReflect.Descriptor instead.
func (*KeysignSignature) Descriptor() ([]byte, []int) {
	return file_messages_signature_notifier_proto_rawDescGZIP(), []int{0}
}

func (x *KeysignSignature) GetID() string {
	if x != nil {
		return x.ID
	}
	return ""
}

func (x *KeysignSignature) GetSignatures() [][]byte {
	if x != nil {
		return x.Signatures
	}
	return nil
}

func (x *KeysignSignature) GetKeysignStatus() KeysignSignature_Status {
	if x != nil {
		return x.KeysignStatus
	}
	return KeysignSignature_Unknown
}

var File_messages_signature_notifier_proto protoreflect.FileDescriptor

var file_messages_signature_notifier_proto_rawDesc = []byte{
	0x0a, 0x21, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x73, 0x2f, 0x73, 0x69, 0x67, 0x6e, 0x61,
	0x74, 0x75, 0x72, 0x65, 0x5f, 0x6e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x08, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x73, 0x22, 0xbb, 0x01,
	0x0a, 0x10, 0x4b, 0x65, 0x79, 0x73, 0x69, 0x67, 0x6e, 0x53, 0x69, 0x67, 0x6e, 0x61, 0x74, 0x75,
	0x72, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x49, 0x44, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02,
	0x49, 0x44, 0x12, 0x1e, 0x0a, 0x0a, 0x53, 0x69, 0x67, 0x6e, 0x61, 0x74, 0x75, 0x72, 0x65, 0x73,
	0x18, 0x02, 0x20, 0x03, 0x28, 0x0c, 0x52, 0x0a, 0x53, 0x69, 0x67, 0x6e, 0x61, 0x74, 0x75, 0x72,
	0x65, 0x73, 0x12, 0x47, 0x0a, 0x0d, 0x4b, 0x65, 0x79, 0x73, 0x69, 0x67, 0x6e, 0x53, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x21, 0x2e, 0x6d, 0x65, 0x73, 0x73,
	0x61, 0x67, 0x65, 0x73, 0x2e, 0x4b, 0x65, 0x79, 0x73, 0x69, 0x67, 0x6e, 0x53, 0x69, 0x67, 0x6e,
	0x61, 0x74, 0x75, 0x72, 0x65, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x0d, 0x4b, 0x65,
	0x79, 0x73, 0x69, 0x67, 0x6e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x2e, 0x0a, 0x06, 0x53,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x0b, 0x0a, 0x07, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e,
	0x10, 0x00, 0x12, 0x0b, 0x0a, 0x07, 0x53, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x10, 0x01, 0x12,
	0x0a, 0x0a, 0x06, 0x46, 0x61, 0x69, 0x6c, 0x65, 0x64, 0x10, 0x02, 0x42, 0x2e, 0x5a, 0x2c, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x62, 0x6c, 0x61, 0x63, 0x6b, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x2f, 0x74, 0x73, 0x73, 0x2f, 0x67, 0x6f, 0x2d, 0x74,
	0x73, 0x73, 0x2f, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_messages_signature_notifier_proto_rawDescOnce sync.Once
	file_messages_signature_notifier_proto_rawDescData = file_messages_signature_notifier_proto_rawDesc
)

func file_messages_signature_notifier_proto_rawDescGZIP() []byte {
	file_messages_signature_notifier_proto_rawDescOnce.Do(func() {
		file_messages_signature_notifier_proto_rawDescData = protoimpl.X.CompressGZIP(file_messages_signature_notifier_proto_rawDescData)
	})
	return file_messages_signature_notifier_proto_rawDescData
}

var file_messages_signature_notifier_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_messages_signature_notifier_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_messages_signature_notifier_proto_goTypes = []interface{}{
	(KeysignSignature_Status)(0), // 0: messages.KeysignSignature.Status
	(*KeysignSignature)(nil),     // 1: messages.KeysignSignature
}
var file_messages_signature_notifier_proto_depIdxs = []int32{
	0, // 0: messages.KeysignSignature.KeysignStatus:type_name -> messages.KeysignSignature.Status
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_messages_signature_notifier_proto_init() }
func file_messages_signature_notifier_proto_init() {
	if File_messages_signature_notifier_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_messages_signature_notifier_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*KeysignSignature); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_messages_signature_notifier_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_messages_signature_notifier_proto_goTypes,
		DependencyIndexes: file_messages_signature_notifier_proto_depIdxs,
		EnumInfos:         file_messages_signature_notifier_proto_enumTypes,
		MessageInfos:      file_messages_signature_notifier_proto_msgTypes,
	}.Build()
	File_messages_signature_notifier_proto = out.File
	file_messages_signature_notifier_proto_rawDesc = nil
	file_messages_signature_notifier_proto_goTypes = nil
	file_messages_signature_notifier_proto_depIdxs = nil
}
